Bug 80986 - Saving DOCX as ODT/DOC loses text highlight
Summary: Saving DOCX as ODT/DOC loses text highlight
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:4.4.0 target:4.2.7 target:4.3.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-07-07 03:24 UTC by Kevin Suo
Modified: 2015-12-17 08:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test docx file with text highlighted (12.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-07 03:24 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-07-07 03:24:44 UTC
Created attachment 102342 [details]
test docx file with text highlighted

The attached DOCX file contains text with highlight. When save as ODT, highlight is lost.

Steps to reproduce:
1. Save the test docx as ODT.

Current Behaviour:
Yellow highlight is lost.


OS: Win XP SP3
LibreOffice 4.3.0.2.
Comment 1 Kevin Suo 2014-07-07 03:25:43 UTC
Added bug 64490 to see also.
Comment 2 Kevin Suo 2014-07-07 03:27:18 UTC
Apache OpenOffice 4.1 does not lose the highlight.
Comment 3 Kevin Suo 2014-07-07 03:32:25 UTC
Saving as ".doc" also loses highlight.
Comment 4 tommy27 2014-07-08 05:32:43 UTC
I confirm loss of highlighting when saving DOCX as ODT or DOC under Win7x64

bug reproducible with LibO 4.2.4.2 and 4.2.0.4
not reproducible with 4.1.0.4

I haven't tried intermediate version but this his probably a 4.2.x regression
Comment 5 ign_christian 2014-07-08 05:59:43 UTC
Reproduced with 4.2.0.0.beta1 - Ubuntu 12.04 x86
Not reproduced with 4.1.6.2

Besides Bug 64490, maybe related too with Bug 65404. I saw partial fix (display highlighting imported from DOCX) to those bug applied in 4.2.0.0.beta1, not yet in 4.1.6.2 :
https://bugs.freedesktop.org/show_bug.cgi?id=64490#c14
Comment 6 Michael Stahl 2014-07-11 22:17:06 UTC
eh... what *is* this stuff? it doesn't show up on either the
character formatting or the paragraph formatting dialog?

in 4.1.6.2 it was simply the char background colour, which is sensible...

bibisect range:

a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485..69f61526cd4268a330be1e835e9e52f9b1dbde50

[guessed[ regression from:

commit 8b949134441056a1455d67ddfdd7e0bc5f2ee682
Author:     Zolnai Tamás <zolnaitamas2000@gmail.com>
AuthorDate: Sun Sep 29 10:24:53 2013 +0200

    fdo#65403, fdo#65404 DOCX export/import of character highlight
Comment 7 Commit Notification 2014-08-04 09:03:52 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5e60724ac73bb0e62b249145a8931fd6166bb69

fdo#80986: disable highlight DOCX import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Tamás Zolnai 2014-08-04 10:04:24 UTC
The second character background color support was implemented partly. It caused this problem, so I disabled the code which import highlight as PROP_CHAR_HIGHLIGHT which means the second character background attribute and set back the import filter to merge the two background color to one background attribute identified by PROP_CHAR_BACKGROUND, until highlight support is finished.
Comment 9 Commit Notification 2014-08-04 11:22:27 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4336ba9770efb61d4131c005fb1d16ab2be20928&h=libreoffice-4-2

fdo#80986: disable highlight DOCX import


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-08-04 11:22:45 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9297597088f36d4072515fd46d1299381dcfe6b&h=libreoffice-4-3

fdo#80986: disable highlight DOCX import


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:25:30 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]